Skip to main content
GET
Get a run

Authorizations

Authorization
string
header
required

Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).

Path Parameters

jobId
string<uuid>
required

Response

OK

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
datasetId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
baseModel
string
required
method
enum<string>
required
Available options:
lora,
full
serving
enum<string>
required
Available options:
serverless,
dedicated,
download
hyperparameters
object
required
maxCostUsd
string
required
state
enum<string>
required
Available options:
pending,
submitting,
queued,
running,
succeeded,
failed,
cancelling,
cancelled
backend
string | null
required

Where the run executed, once started. A fact about the run, never an input.

estimatedCostUsd
string | null
required
estimatedMinutes
number | null
required
actualCostUsd
string | null
required
trainedTokens
number | null
required
chargeState
enum<string>
required
Available options:
none,
pending,
settled,
released,
failed
modelId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
error
string | null
required
createdAt
string
required
startedAt
string | null
required
completedAt
string | null
required